
####################################
# LIQUID PROMPT CONFIGURATION FILE #
####################################

# If you want to use different themes and features,
# you can load the corresponding files here:
#source ~/.config/liquidprompt/nojhan.theme
#LP_PS1_FILE="~/.config/liquidprompt/nojhan.ps1"

#############
# BEHAVIOUR #
#############

# Maximal value under which the battery level is displayed
# Recommended value is 75
LP_BATTERY_THRESHOLD=75

# Minimal value after which the load average is displayed
# Recommended value is 60
LP_LOAD_THRESHOLD=60

# Minimal value after which the temperature is displayed (in celsius degrees)
# Recommended value is 60
LP_TEMP_THRESHOLD=60

# The maximum percentage of the screen width used to display the path
# Recommended value is 35
LP_PATH_LENGTH=35

# How many directories to keep at the beginning of a shortened path
# Recommended value is 2
LP_PATH_KEEP=2

# Do you want to display the hostname, even if not connected through network?
# Defaults to 0 (do not display hostname when locally connected)
# set to 1 if you want to always see the hostname
LP_HOSTNAME_ALWAYS=0

# Do you want to display the user, even if he is the same than the logged one?
# Defaults to 1 (always display the user)
# set to 0 if you want to hide the logged user (it will always display different users)
LP_USER_ALWAYS=0

# Do you want to display the percentages of load/batteries along with their
# corresponding marks? Set to 0 to only print the colored marks.
# Defaults to 1 (display percentages)
LP_PERCENTS_ALWAYS=1

# Do you want to use the permissions feature ?
# Recommended value is 1
LP_ENABLE_PERM=1

# Do you want to use the shorten path feature ?
# Recommended value is 1
LP_ENABLE_SHORTEN_PATH=1

# Do you want to use the proxy detection feature ?
# Recommended value is 1
LP_ENABLE_PROXY=1

# Do you want to use the jobs feature ?
# Recommended value is 1
LP_ENABLE_JOBS=1

# Do you want to use the load feature ?
# Recommended value is 1
LP_ENABLE_LOAD=1

# Do you want to use the batt feature ?
# Recommended value is 1
LP_ENABLE_BATT=0

# Do you want to use vcs features with root account
# Recommended value is 0
LP_ENABLE_VCS_ROOT=0

# Do you want to use the git special features ?
# Recommended value is 1
LP_ENABLE_GIT=0

# Do you want to use the svn special features ?
# Recommended value is 1
LP_ENABLE_SVN=0

# Do you want to use the mercurial special features ?
# Recommended value is 1
LP_ENABLE_HG=0

# Do you want to use the fossil special features ?
# Recommended value is 1
LP_ENABLE_FOSSIL=0

# Do you want to use the bzr special features ?
# Recommanded value is 1
LP_ENABLE_BZR=0

# Show time of the last prompt display
# Recommended value is 0
LP_ENABLE_TIME=1

# Show runtime of the last command if over LP_RUNTIME_THRESHOLD
# Recommended value is 0
LP_ENABLE_RUNTIME=1

# Minimal runtime to be displayed
# Recommended value is 2
LP_RUNTIME_THRESHOLD=2

# Display the virtualenv that is currently activated, if any
# Recommended value is 1
LP_ENABLE_VIRTUALENV=1

# Display the enabled software collections, if any
# Recommended value is 1
LP_ENABLE_SCLS=1

# Show average system temperature
LP_ENABLE_TEMP=0

# When showing time, use an analog clock instead of numeric values.
# The analog clock is "accurate" to the nearest half hour.
# You must have a unicode-capable terminal and a font with the "CLOCK"
# characters.
# Recommended value is 0
LP_TIME_ANALOG=0

# Use the liquid prompt as the title of the terminal window
# The content is not customizable, the implementation is very basic,
# and this may not work properly on exotic terminals, thus the
# recommended value is 0
# See LP_TITLE_OPEN and LP_TITLE_CLOSE to change escape characters to adapt this
# feature to your specific terminal.
LP_ENABLE_TITLE=0

# Enable Title for screen and byobu
LP_ENABLE_SCREEN_TITLE=0

# Use differents colors for differents hosts you SSH in
LP_ENABLE_SSH_COLORS=0

# Specify a list of complete and colon (":") separated paths in which, all vcs
# will be disabled
LP_DISABLED_VCS_PATH=""

# vim: set et sts=4 sw=4 tw=120 ft=sh:
